## python-ironic-inspector-client 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff!=1.16.0,>=1.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-ironic-inspector-client (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 16:57:26 +0000

python-ironic-inspector-client (1.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 12:08:12 +0100

python-ironic-inspector-client (1.3.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 17:20:11 +0000

python-ironic-inspector-client (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 04:33:56 +0000

python-ironic-inspector-client (1.2.0-2) unstable; urgency=medium

  * Fixed missing build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2015 22:22:21 +0100

python-ironic-inspector-client (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #800962).

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2015 11:23:19 +0200

=== debian/control ===
Source: python-ironic-inspector-client
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 1.15.0),
                     python-coverage,
                     python-doc8,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneclient (>= 1.6.0),
                     python-mock (>= 1.2),
                     python-openstackclient (>= 2.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.5.0),
                     python-requests (>= 2.8.1),
                     python-six (>= 1.9.0),
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-doc8,
                     python3-fixtures (>= 1.3.1),
                     python3-hacking,
                     python3-keystoneclient (>= 1.6.0),
                     python3-mock (>= 1.2),
                     python3-openstackclient (>= 2.1.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-requests (>= 2.8.1),
                     python3-six (>= 1.9.0),
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ironic-inspector-client.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-ironic-inspector-client.git
Homepage: https://launchpad.net/python-ironic-inspector-client

Package: python-ironic-inspector-client
Architecture: all
Depends: python-cliff (>= 1.15.0),
         python-keystoneclient (>= 1.6.0),
         python-openstackclient (>= 2.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: client for Ironic Inspector - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 module.

Package: python3-ironic-inspector-client
Architecture: all
Depends: python3-cliff (>= 1.15.0),
         python3-keystoneclient (>= 1.6.0),
         python3-openstackclient (>= 2.1.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client for Ironic Inspector - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/python-ironic-inspector-client.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ironic-inspector-client; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-ironic-inspector-client; \
	done
	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector_client*" -m unittest discover ironic_inspector_client.test ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-ironic-inspector-client 1.7.0

=== debian/changelog ===
python-ironic-inspector-client (1.7.0-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:38:52 +0000

python-ironic-inspector-client (1.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 18:46:48 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -16,7 +17,7 @@
                      python-doc8,
                      python-fixtures (>= 1.3.1),
                      python-hacking,
-                     python-keystoneclient (>= 1.6.0),
+                     python-keystoneclient (>= 1.7.0),
                      python-mock (>= 1.2),
                      python-openstackclient (>= 2.1.0),
                      python-oslo.i18n (>= 2.1.0),
@@ -28,22 +29,22 @@
                      python3-doc8,
                      python3-fixtures (>= 1.3.1),
                      python3-hacking,
-                     python3-keystoneclient (>= 1.6.0),
+                     python3-keystoneclient (>= 1.7.0),
                      python3-mock (>= 1.2),
                      python3-openstackclient (>= 2.1.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.utils (>= 3.5.0),
                      python3-requests (>= 2.8.1),
                      python3-six (>= 1.9.0),
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ironic-inspector-client.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-ironic-inspector-client.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-ironic-inspector-client?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-ironic-inspector-client -b debian/newton
 Homepage: https://launchpad.net/python-ironic-inspector-client
 
 Package: python-ironic-inspector-client
 Architecture: all
 Depends: python-cliff (>= 1.15.0),
-         python-keystoneclient (>= 1.6.0),
+         python-keystoneclient (>= 1.7.0),
          python-openstackclient (>= 2.1.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.utils (>= 3.5.0),
@@ -68,7 +69,7 @@
 Package: python3-ironic-inspector-client
 Architecture: all
 Depends: python3-cliff (>= 1.15.0),
-         python3-keystoneclient (>= 1.6.0),
+         python3-keystoneclient (>= 1.7.0),
          python3-openstackclient (>= 2.1.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.utils (>= 3.5.0),

## python-ironic-inspector-client 1.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
keystoneauth1>=2.10.0 # Apache-2.0
osc-lib>=1.0.2 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-ironic-inspector-client (1.9.0-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 02 Sep 2016 15:11:15 +0000

python-ironic-inspector-client (1.9.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add python-requests-mock to BDs.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 14:48:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-ironic-inspector-client
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -12,44 +13,48 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-cliff (>= 1.15.0),
-                     python-coverage,
+Build-Depends-Indep: python-coverage,
                      python-doc8,
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking,
-                     python-keystoneclient (>= 1.7.0),
-                     python-mock (>= 1.2),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-mock (>= 2.0),
                      python-openstackclient (>= 2.1.0),
+                     python-osc-lib (>= 1.0.2),
+                     python-oslo.concurrency (>= 3.8.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.5.0),
-                     python-requests (>= 2.8.1),
+                     python-oslo.utils (>= 3.16.0),
+                     python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.0.0),
                      python-six (>= 1.9.0),
-                     python3-cliff (>= 1.15.0),
                      python3-coverage,
                      python3-doc8,
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-hacking,
-                     python3-keystoneclient (>= 1.7.0),
-                     python3-mock (>= 1.2),
+                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-mock (>= 2.0),
                      python3-openstackclient (>= 2.1.0),
+                     python3-osc-lib (>= 1.0.2),
+                     python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-requests (>= 2.8.1),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-requests (>= 2.10.0),
+                     python3-requests-mock (>= 1.0.0),
                      python3-six (>= 1.9.0),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-ironic-inspector-client?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-ironic-inspector-client -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ironic-inspector-client.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-ironic-inspector-client.git
 Homepage: https://launchpad.net/python-ironic-inspector-client
 
 Package: python-ironic-inspector-client
 Architecture: all
-Depends: python-cliff (>= 1.15.0),
-         python-keystoneclient (>= 1.7.0),
+Depends: python-keystoneauth1 (>= 2.10.0),
          python-openstackclient (>= 2.1.0),
+         python-osc-lib (>= 1.0.2),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -68,13 +73,13 @@
 
 Package: python3-ironic-inspector-client
 Architecture: all
-Depends: python3-cliff (>= 1.15.0),
-         python3-keystoneclient (>= 1.7.0),
+Depends: python3-keystoneauth1 (>= 2.10.0),
          python3-openstackclient (>= 2.1.0),
+         python3-osc-lib (>= 1.0.2),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-ironic-inspector-client/tags .*/(\d[\d\.]+)\.tar\.gz

## python-ironic-inspector-client 1.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
keystoneauth1>=2.18.0 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
pbr>=1.8 # Apache-2.0
python-openstackclient>=3.3.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-ironic-inspector-client (1.11.0-0ubuntu2~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sun, 05 Feb 2017 16:54:55 +0000

python-ironic-inspector-client (1.11.0-0ubuntu2) zesty; urgency=medium

  * d/control: Cleanup build dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 05 Feb 2017 09:45:15 -0500

python-ironic-inspector-client (1.11.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Jan 2017 08:48:31 -0500

python-ironic-inspector-client (1.10.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 10:58:22 -0500

=== debian/control ===
--- 
+++ 
@@ -13,37 +13,35 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-coverage,
+Build-Depends-Indep: python-coverage (>= 4.0),
                      python-doc8,
                      python-fixtures (>= 3.0.0),
-                     python-hacking,
-                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneauth1 (>= 2.18.0),
                      python-mock (>= 2.0),
-                     python-openstackclient (>= 2.1.0),
-                     python-osc-lib (>= 1.0.2),
+                     python-osc-lib (>= 1.2.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 1.0.0),
+                     python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
-                     python3-coverage,
+                     python3-coverage (>= 4.0),
                      python3-doc8,
                      python3-fixtures (>= 3.0.0),
-                     python3-hacking,
-                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-keystoneauth1 (>= 2.18.0),
                      python3-mock (>= 2.0),
-                     python3-openstackclient (>= 2.1.0),
-                     python3-osc-lib (>= 1.0.2),
+                     python3-osc-lib (>= 1.2.0),
                      python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslosphinx (>= 4.7.0),
                      python3-requests (>= 2.10.0),
-                     python3-requests-mock (>= 1.0.0),
+                     python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ironic-inspector-client.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-ironic-inspector-client.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-inspector-client
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-inspector-client
 Homepage: https://launchpad.net/python-ironic-inspector-client
 
 Package: python-ironic-inspector-client
@@ -57,7 +55,7 @@
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: client for Ironic Inspector - Python 2.7
  This is an auxiliary service for discovering hardware properties for a node
  managed by OpenStack Ironic. Hardware introspection or hardware properties
@@ -82,7 +80,7 @@
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Description: client for Ironic Inspector - Python 3.x
  This is an auxiliary service for discovering hardware properties for a node
  managed by OpenStack Ironic. Hardware introspection or hardware properties

## python-ironic-inspector-client 2.0.0

=== debian/changelog ===
python-ironic-inspector-client (2.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 21:47:41 +0000

python-ironic-inspector-client (2.0.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 16:34:45 -0400

python-ironic-inspector-client (1.12.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net for upstream release tarballs.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:26:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,35 +8,35 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-coverage (>= 4.0),
                      python-doc8,
                      python-fixtures (>= 3.0.0),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneauth1 (>= 3.0.1),
                      python-mock (>= 2.0),
-                     python-osc-lib (>= 1.2.0),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-osc-lib (>= 1.7.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
-                     python-requests (>= 2.10.0),
+                     python-oslo.utils (>= 3.20.0),
+                     python-requests (>= 2.14.2),
                      python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
                      python3-coverage (>= 4.0),
                      python3-doc8,
                      python3-fixtures (>= 3.0.0),
-                     python3-keystoneauth1 (>= 2.18.0),
+                     python3-keystoneauth1 (>= 3.0.1),
                      python3-mock (>= 2.0),
-                     python3-osc-lib (>= 1.2.0),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-osc-lib (>= 1.7.0),
                      python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.18.0),
-                     python3-oslosphinx (>= 4.7.0),
-                     python3-requests (>= 2.10.0),
+                     python3-oslo.utils (>= 3.20.0),
+                     python3-requests (>= 2.14.2),
                      python3-requests-mock (>= 1.1),
                      python3-six (>= 1.9.0),
 Standards-Version: 3.9.8
@@ -46,13 +46,13 @@
 
 Package: python-ironic-inspector-client
 Architecture: all
-Depends: python-keystoneauth1 (>= 2.10.0),
+Depends: python-keystoneauth1 (>= 3.0.1),
          python-openstackclient (>= 2.1.0),
-         python-osc-lib (>= 1.0.2),
+         python-osc-lib (>= 1.7.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.16.0),
-         python-pbr (>= 1.8),
-         python-requests (>= 2.10.0),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
+         python-requests (>= 2.14.2),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends}
@@ -71,13 +71,13 @@
 
 Package: python3-ironic-inspector-client
 Architecture: all
-Depends: python3-keystoneauth1 (>= 2.10.0),
+Depends: python3-keystoneauth1 (>= 3.0.1),
          python3-openstackclient (>= 2.1.0),
-         python3-osc-lib (>= 1.0.2),
+         python3-osc-lib (>= 1.7.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.16.0),
-         python3-pbr (>= 1.8),
-         python3-requests (>= 2.10.0),
+         python3-oslo.utils (>= 3.20.0),
+         python3-pbr (>= 2.0.0),
+         python3-requests (>= 2.14.2),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends}

## python-ironic-inspector-client 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
keystoneauth1>=3.3.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
python-ironic-inspector-client (3.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:26:00 -0500

python-ironic-inspector-client (3.0.0-0ubuntu1) bionic; urgency=medium

  * d/control: Align python-sphinx with upstream.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 10:07:17 -0500

python-ironic-inspector-client (2.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 13:49:03 -0500

=== debian/control ===
Source: python-ironic-inspector-client
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-doc8 (>= 0.6.0),
 python-fixtures (>= 3.0.0),
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.17.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-inspector-client
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-inspector-client
Homepage: https://launchpad.net/python-ironic-inspector-client

Package: python-ironic-inspector-client
Architecture: all
Depends:
 python-keystoneauth1 (>= 3.3.0),
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: client for Ironic Inspector - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 module.

Package: python3-ironic-inspector-client
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: client for Ironic Inspector - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,26 +1,12 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT = git://github.com/openstack/python-ironic-inspector-client.git
--include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
 override_dh_auto_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-ironic-inspector-client; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-ironic-inspector-client; \
-	done
-	rm -rf $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## python-ironic-inspector-client 3.3.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-ironic-inspector-client (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:44:04 +0200

python-ironic-inspector-client (3.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 09:23:17 +0200

python-ironic-inspector-client (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:52:25 +0000

python-ironic-inspector-client (3.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 12:59:55 +0000

python-ironic-inspector-client (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:55:01 +0000

python-ironic-inspector-client (2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 21:07:27 +0200

=== debian/control ===
Source: python-ironic-inspector-client
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-doc8,
 python-fixtures,
 python-hacking,
 python-keystoneauth1 (>= 3.4.0),
 python-mock,
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six,
 python3-coverage,
 python3-doc8,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock,
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-sphinxcontrib.apidoc,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironic-inspector-client
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironic-inspector-client.git
Homepage: https://launchpad.net/python-ironic-inspector-client

Package: python-ironic-inspector-client
Architecture: all
Depends:
 python-keystoneauth1 (>= 3.4.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Description: client for Ironic Inspector - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 module.

Package: python3-ironic-inspector-client
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.4.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Description: client for Ironic Inspector - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x module.

## python-ironic-inspector-client 3.4.0

=== requirements.txt ===
--- 
+++ 
@@ -6,5 +6,6 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
+PyYAML>=3.12 # MIT
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT

=== debian/changelog ===
python-ironic-inspector-client (3.4.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-ironic-inspector-client binary.
    - d/control: Drop BDI's on python-*.
    - d/rules: Skip install and test of Python 2 module.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 08:20:53 +0100

python-ironic-inspector-client (3.4.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Ensure python3 shebangs are set to /usr/bin/python3.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 13:15:40 -0500

python-ironic-inspector-client (3.3.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Aug 2018 14:24:11 -0400

=== debian/control ===
Source: python-ironic-inspector-client
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-yaml (>= 3.12),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-inspector-client
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-inspector-client
Homepage: https://launchpad.net/python-ironic-inspector-client
Testsuite: autopkgtest-pkg-python

Package: python3-ironic-inspector-client
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: client for Ironic Inspector - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-ironic-inspector-client 3.5.0

=== debian/changelog ===
python-ironic-inspector-client (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:15:56 +0200

python-ironic-inspector-client (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 11:36:19 +0100

=== debian/control ===
Source: python-ironic-inspector-client
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-doc8,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironic-inspector-client
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironic-inspector-client.git
Homepage: https://launchpad.net/python-ironic-inspector-client

Package: python3-ironic-inspector-client
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: client for Ironic Inspector - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x module.
